Index: Makefile.inc1
===================================================================
--- Makefile.inc1	(revision 209530)
+++ Makefile.inc1	(working copy)
@@ -1121,16 +1121,15 @@
 _prebuild_libs=	${_kerberos5_lib_libasn1} ${_kerberos5_lib_libheimntlm} \
 		${_kerberos5_lib_libhx509} ${_kerberos5_lib_libkrb5} \
 		${_kerberos5_lib_libroken} \
-		lib/libbz2 lib/libcom_err lib/libcrypt \
-		lib/libexpat lib/libfetch \
-		${_lib_libgssapi} ${_lib_libipx} \
+		lib/libarchive lib/libbz2 lib/libcom_err lib/libcrypt \
+		lib/libexpat lib/libfetch ${_lib_libgssapi} ${_lib_libipx} \
 		lib/libkiconv lib/libkvm lib/liblzma lib/libmd \
 		lib/ncurses/ncurses lib/ncurses/ncursesw \
-		lib/libopie lib/libpam ${_lib_libthr} \
+		lib/libopie lib/libpam ${_lib_libpkg} ${_lib_libthr} \
 		lib/libradius lib/libsbuf lib/libtacplus \
 		lib/libutil ${_lib_libypclnt} lib/libz lib/msun \
 		${_secure_lib_libcrypto} ${_secure_lib_libssh} \
-		${_secure_lib_libssl}
+		${_secure_lib_libssl} \
 
 .if ${MK_LIBTHR} != "no"
 _lib_libthr=	lib/libthr
@@ -1138,6 +1137,13 @@
 
 _generic_libs=	${_cddl_lib} gnu/lib ${_kerberos5_lib} lib ${_secure_lib} usr.bin/lex/lib
 
+.if ${MK_CRYPT} == no
+lib/libarchive__L: lib/libbz2__L lib/liblzma__L lib/libmd__L lib/libz__L
+.else
+lib/libarchive__L: lib/libbz2__L lib/liblzma__L lib/libmd__L lib/libz__L \
+		   secure/lib/libcrypto__L
+.endif
+
 lib/libopie__L lib/libtacplus__L: lib/libmd__L
 
 .if ${MK_CDDL} != "no"
@@ -1188,6 +1194,12 @@
 lib/libfetch__L lib/libradius__L: lib/libmd__L
 .endif
 
+.if ${MK_PKGTOOLS} != "no"
+_lib_libpkg=	lib/libpkg
+# Only listing direct dependencies of libpkg.
+lib/libpkg__L: lib/libarchive__L lib/libfetch__L lib/libmd__L lib/libutil__L
+.endif
+
 .for _lib in ${_prereq_libs}
 ${_lib}__PL: .PHONY
 .if exists(${.CURDIR}/${_lib})